<?php
/**
 * Pro Perfect Karousel
 *This program is free software: you can redistribute it and/or modify it under the terms
 *of the GNU General Public License as published by the Free Software Foundation,
 *either version 3 of the License, or (at your option) any later version.
 *
 *This program is distributed in the hope that it will be useful,
 *but WITHOUT ANY WARRANTY; without even the implied warranty of
 *MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *GNU General Public License for more details.
 *
 *You should have received a copy of the GNU General Public License
 *along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *@author ProJoom
 *@copyright (C) 2008 - 2012 ProJoom
 *@link http://www.projoom.com/extensions/pro-perfect-karousel.html.html Official website
 **/
defined( '_JEXEC' ) or die( 'Restricted access' );
JTable::addIncludePath(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_novapc'.DS.'tables');
$controllerName = JRequest::getCmd( 'c', 'playlist' );
if($controllerName == 'catg') {
	JSubMenuHelper::addEntry(JText::_('Slides'), 'index.php?option=com_novapc');
	JSubMenuHelper::addEntry(JText::_('Categories'), 'index.php?option=com_novapc&c=catg', true );
	JSubMenuHelper::addEntry(JText::_('Batch Uploader'), 'index.php?option=com_novapc&c=uploader');
} elseif ($controllerName == 'uploader') {
	JSubMenuHelper::addEntry(JText::_('Slides'), 'index.php?option=com_novapc');
	JSubMenuHelper::addEntry(JText::_('Categories'), 'index.php?option=com_novapc&c=catg');
	JSubMenuHelper::addEntry(JText::_('Batch Uploader'), 'index.php?option=com_novapc&c=uploader', true );
} else {
	JSubMenuHelper::addEntry(JText::_('Slides'), 'index.php?option=com_novapc', true );
	JSubMenuHelper::addEntry(JText::_('Categories'), 'index.php?option=com_novapc&c=catg');
	JSubMenuHelper::addEntry(JText::_('Batch Uploader'), 'index.php?option=com_novapc&c=uploader');
}
switch ($controllerName)
{
	default:
		$controllerName = 'playlist';
	case 'playlist' :
	case 'catg':
		$task = JRequest::getCmd('task');
		if ($task == 'listcatgs') {
			$controllerName = 'catg';
		}
		require_once( JPATH_COMPONENT.DS.'controllers'.DS.$controllerName.'.php' );
		$controllerName = 'PlaylistController'.$controllerName;
		$controller = new $controllerName();
		$controller->execute( JRequest::getCmd('task') );
		$controller->redirect();
		break;
	case 'uploader' :
		$task = JRequest::getCmd('task');
		if ($task == 'uploadhandler') {
			$controllerName = 'uploader';
		}
		require_once( JPATH_COMPONENT.DS.'controllers'.DS.$controllerName.'.php' );
		$controllerName = 'PlaylistController'.$controllerName;
		$controller = new $controllerName();
		$controller->execute( JRequest::getCmd('task') );
		$controller->redirect();
		break;
}
